How to update appzard

:thinking:
Try running this

APPDATA\appzard\scripts\upgrade.sh -f

1 Like

[email protected] MINGW64 ~/Desktop
$ APPDATA\appzard\scripts\upgrade.sh -f
bash: APPDATAappzardscriptsupgrade.sh: command not found

1 Like

Try running this

C:/Users/Afroz_Ahmad/AppData/appzard/scripts/upgrade.sh

Or

C:/Users/Afroz_Ahmad/AppData/Roaming/appzard/scripts/upgrade.sh

2 Likes

C:\Users\Afroz Ahmad>C:/Users/Afroz Ahmad/AppData/appzard/scripts/upgrade.sh
‘C:/Users/Afroz’ is not recognized as an internal or external command,
operable program or batch file.

1 Like

Hello @Faraz_Firoz,
since you are using windows, this is the exact command you should run in gitbash:

1 Like

[email protected] MINGW64 ~/Desktop
$ APPDATA/appzard/scripts/upgrade.sh
bash: APPDATA/appzard/scripts/upgrade.sh: No such file or directory

1 Like

Try running this:
bash $APPDATA/appzard/scripts/upgrade.sh -f
it works for me

P.S: I will update mine :slight_smile:

1 Like

Mine
``
[email protected] MINGW64 ~/Desktop
$ bash $APPDATA/appzard/scripts/upgrade.sh -f
bash: C:\Users\Afroz: No such file or directory

[email protected] MINGW64 ~/Desktop
$

``

1 Like
       ^

Remove the $ here, and try again

1 Like

[email protected] MINGW64 ~/Desktop
$ bash APPDATA/appzard/scripts/upgrade.sh -f
bash: APPDATA/appzard/scripts/upgrade.sh: No such file or directory

[email protected] MINGW64 ~/Desktop
$

1 Like

What about try this again?
bash $APPDATA/appzard/scripts/upgrade.sh

1 Like

And @MohamedTamer
I want to inform some bugs in Appzard Offline

1 Like

bash $APPDATA/appzard/scripts/upgrade.sh

What happedned?

1 Like

[email protected] MINGW64 ~/Desktop
$ bash $APPDATA/appzard/scripts/upgrade.sh
bash: C:\Users\Afroz: No such file or directory

1 Like

Surround this path:

With a ' to escape spaces.

1 Like

@MohamedTamer
I have some issues while upgrading my Appzard Offline

1 Like

If you you have an internet connect, what about running :

git config --global http.sslVerify false

before upgrading ?
Also, I have updated the latest version into our database, it was 1.0.3 instead of 1.4.2.


Edit: I have commited a fix here, please update your upgrade script to include the fixed commit by doing the following:

curl -k -s https://raw.githubusercontent.com/AppZard1/AppzardOffline/main/scripts/upgrade.sh > $APPDATA/appzard/scripts/upgrade.sh

And retry…

2 Likes

[email protected] MINGW64 ~/Desktop
$ git config --global http.sslVerify false

[email protected] MINGW64 ~/Desktop
$

1 Like

[email protected] MINGW64 ~/Desktop
$ curl -k -s https://raw.githubusercontent.com/AppZard1/AppzardOffline/main/scripts/upgrade.sh > $APPDATA/appzard/scripts/upgrade.sh
bash: $APPDATA/appzard/scripts/upgrade.sh: ambiguous redirect

[email protected] MINGW64 ~/Desktop
$

1 Like